Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056540 - there is no indication of failures in the external scheduler filters
Summary: there is no indication of failures in the external scheduler filters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.1
Assignee: Jiri Moskovcak
QA Contact: bugs@ovirt.org
URL:
Whiteboard: sla
Depends On:
Blocks: 1066576
TreeView+ depends on / blocked
 
Reported: 2014-01-22 12:07 UTC by Jiri Moskovcak
Modified: 2014-05-08 13:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1066576 (view as bug list)
Environment:
Last Closed: 2014-05-08 13:37:50 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24662 None MERGED engine: show the errors from external scheduler in the event log Never

Description Jiri Moskovcak 2014-01-22 12:07:31 UTC
Description of problem:
Right now we handle 2 scenarios:
   1. one of the filters requested by the engine does not exist - the
ext-scheduler throws an exception and stops if just one of many is wrong
   2. the filters exist, but all have failed - in this case the
ext-scheduler returns the full host list

The case 1 should be changed so the missing filter is just skipped. The
second case should return error.

Actual results:
In case of failing filters the scheduler returns not filtered host list and engine can't recognize if it's a correct result of filtering or an error state.

Expected results:
engine is notified about the failures in the external filters

Comment 1 Sandro Bonazzola 2014-03-04 09:29:45 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 2 Sandro Bonazzola 2014-05-08 13:37:50 UTC
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.